# Class ViewActionBuilder

java.lang.Object
org.eclipse.ui.internal.registry.RegistryReader
org.eclipse.ui.internal.PluginActionBuilder
org.eclipse.ui.internal.ViewActionBuilder

public class ViewActionBuilder extends PluginActionBuilder
This class reads the registry for extensions that plug into 'viewActions' extension point.

## Nested Class Summary

### Nested classes/interfaces inherited from class PluginActionBuilder

`PluginActionBuilder.BasicContribution`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TAG_CONTRIBUTION_TYPE`

### Fields inherited from class PluginActionBuilder

`cache, currentContribution, targetContributionTag, targetID`

## Constructor Summary

Constructors
Constructor
Description
`ViewActionBuilder()`
Basic constructor

## Method Summary

Modifier and Type
Method
Description
`protected ActionDescriptor`
`createActionDescriptor(IConfigurationElement element)`
This factory method returns a new ActionDescriptor for the configuration element.
`void`
`dispose()`
`ActionDescriptor[]`
`getExtendedActions()`
Return all extended actions.
`void`
`readActionExtensions(IViewPart viewPart)`
Reads and apply all external contributions for this view's ID registered in 'viewActions' extension point.

### Methods inherited from class PluginActionBuilder

`contribute, createContribution, getID, getTargetID, readContributions, readElement, setAllowIdeLogging`

### Methods inherited from class org.eclipse.ui.internal.registry.RegistryReader

`getClassValue, getDescription, logError, logMissingAttribute, logMissingElement, logUnknownElement, orderExtensions, readElementChildren, readElements, readExtension, readRegistry`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TAG_CONTRIBUTION_TYPE

public static final String TAG_CONTRIBUTION_TYPE

See Also:
  - Constant Field Values

## Constructor Details

### ViewActionBuilder

public ViewActionBuilder()
Basic constructor

## Method Details

### createActionDescriptor

protected ActionDescriptor createActionDescriptor(IConfigurationElement element)
Description copied from class: `PluginActionBuilder`
This factory method returns a new ActionDescriptor for the configuration element. It should be implemented by subclasses.

Specified by:
  `createActionDescriptor` in class `PluginActionBuilder`

### getExtendedActions

public ActionDescriptor[] getExtendedActions()
Return all extended actions.

### readActionExtensions

public void readActionExtensions(IViewPart viewPart)
Reads and apply all external contributions for this view's ID registered in 'viewActions' extension point.

### dispose

public void dispose()